
%define name	mypasswordsafe
%define Name	MyPasswordSafe
%define version	20091018
%define rel	1

Summary:	Straight-forward, easy-to-use password manager
Name:		%name
Version:	%version
Release:	%mkrel %rel
License:	GPLv2+
Group:		Databases
URL:		http://www.semanticgap.com/myps/
# http://github.com/sneakin/mypasswordsafe/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		mypasswordsafe-debian-fixes.patch
Patch1:		mypasswordsafe-const-char.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel imagemagick libxscrnsaver-devel

%description
MyPasswordSafe is a straight-forward, easy-to-use password manager
that maintains compatibility with Password Safe files. MyPasswordSafe
has the following features:
- Safes are encrypted when they are stored to disk.
- Passwords never have to be seen, because they are copied to the
  clipboard
- Random passwords can be generated.
- Window size, position, and column widths are remembered.
- Passwords remain encrypted until they need to be decrypted at the
  dialog and file levels.
- A safe can be made active so it will always be opened when
  MyPasswordSafe starts.
- Supports Unicode in the safes
- Languages supported: English and French

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
export CFLAGS="%optflags"
export CXXFLAGS="%optflags"
%make PREFIX=%{_prefix}

%install
rm -rf %{buildroot}

%makeinstall PREFIX=%{buildroot}%{_prefix}
rm -rf %{buildroot}%{_prefix}/share/doc


install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{Name}
Comment=Password Manager
Exec=%{_bindir}/%{Name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Archiving-Other;Qt;Office;Database;Archiving;
EOF

install -m755 -d %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m644 -D images/keys.png %{buildroot}%{_liconsdir}/%{name}.png
convert images/keys.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert images/keys.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files
%defattr(-,root,root)
%doc CHANGES README* doc/sshots doc/manual*.html
%{_bindir}/%{Name}
%{_datadir}/%{Name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop




%changelog
* Fri Jan 08 2010 Anssi Hannula <anssi@mandriva.org> 20091018-1mdv2010.1
+ Revision: 487415
- new snapshot
  o now using qt4
- fix build with recent gcc (const-char.patch)
- update license tag

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Sat Feb 28 2009 Anssi Hannula <anssi@mandriva.org> 20061216-2mdv2009.1
+ Revision: 345983
- fix build with gcc4.3 (P0 from debian)

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 20061216-1mdv2008.1
+ Revision: 130417
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sun Jan 21 2007 Anssi Hannula <anssi@mandriva.org> 20061216-1mdv2007.0
+ Revision: 111460
- 20061216
- Import mypasswordsafe

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 20060326-2mdv2007.0
- fix buildrequires
- xdg menu

* Fri Mar 31 2006 Anssi Hannula <anssi@mandriva.org> 20060326-1mdk
- 20060326

* Thu Jan 19 2006 Anssi Hannula <anssi@mandriva.org> 20050615-2mdk
- fix x86_64 build
- fix group, section

* Sat Dec 31 2005 Anssi Hannula <anssi@mandriva.org> 20050615-1mdk
- initial Mandriva release

